{% extends 'base.html' %}
{% load static %}

<head>
    {% block content %}
    <title>Registro Usuarios</title>
    <link rel="stylesheet" type="text/css" href="{% static 'css/registrar.css' %}">

</head>

<body>

    <div class="container">
        <div class="d-flex justify-content-center h-100">
            <div class="card">
                <div class="card-header">
                    <h3>Registrar</h3>
                </div>
                <div class="card-body">
                    <form class="persona_form" method="POST" enctype="multipart/form-data">
                        <input type="hidden" name="csrfmiddlewaretoken" value="4qxYfCvfmEYNb3Esn01253764p43z7oQZDVcXDfa5SXXC0wHTUfH39leJHnPVxRQ">
                        {% csrf_token %}
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-envelope"></i>
                                </span>
                            </div>

                            <input type="text" name="email" class="form-control" maxlength="100" required="" id="id_email"
                                placeholder="Ingresa un correo válido">
                        </div>

                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-hashtag"></i>
                                </span>
                            </div>

                            <input type="text" name="run" class="form-control" maxlength="12" required="" id="id_run"
                                placeholder="Ingresa tu rut">
                        </div>




                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-user"></i>
                                </span>
                            </div>

                            <input type="text" name="nombre_completo" class="form-control" maxlength="50" required=""
                                id="id_nombre_completo" placeholder="Ingresa tu nombre completo">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-birthday-cake"></i>
                                </span>
                            </div>
                            <input type="date" name="fechanac" required="" id="id_fechanac" placeholder="Ingresa tu Fecha de Nacimiento">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-phone-square"></i>
                                </span>
                            </div>
                            <input type="number" name="telefono" class="form-control" required="" id="id_telefono"
                                placeholder="Ingrese tu Telefono">
                        </div>



                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-key"></i>
                                </span>
                            </div>
                            <input type="password" class="form-control" required name="contrasenia" id="contrasenia"
                                placeholder="Ingresar Contraseña">
                        </div>

                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-map-marker-alt"></i>
                                </span>
                            </div>
                            <select name="regiones" id="regiones" class="form-control">
                                <option hidden value="">Seleccione Región</option>
                            </select>
                        </div>
                        <div class="input-group form-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text">
                                    <i class="fas fa-map-marker-alt"></i>
                                </span>
                            </div>
                            <select name="comunas" id="comunas" class="form-control">
                                <option hidden value="">Seleccione Comuna</option>
                            </select>
                        </div>

                        <div class="form-group" style="margin-top: 10px;">
                            <button type="submit" class="btn float-right login_btn">Guardar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    {% endblock %}